#!/bin/bash
#chame o script da seguinte forma e observe
#./script par1 par2 ou seja, ./script 3 4
#Os parâmetros são mapeados para $1 $2 $3 ... $n

echo "Mostrando os parametros de entrada"
echo "Parametro 1: "$1
echo "Parametro 2: "$2
echo "Parametro 3: "$3
echo ""
#read VAR1
#echo $VAR1
echo "Exemplo 1 FOR" 
for i in {1..5};
do
	echo $i
done 
echo ""
echo "Exemplo 2 FOR" 
for i in {5..1};
do
	echo $i
done 

echo ""
echo "Exemplo 3 FOR" 
for i in `seq 1 $1`;
do
	echo $i
done 

echo ""
echo "Exemplo 4 FOR" 
for ((myseq=0; myseq<$1; myseq++))
do 
	echo "Sequence: "$myseq
done

echo ""
echo "Exemplo 5 FOR" 
for ((myseq=$1; myseq > 0; myseq--))
do 
	echo "Sequence: "$myseq
done

echo ""
echo "Exemplo IF"
if [ $1 -lt $2 ];
then 
	echo "$1 É menor que $2"
else
	echo "$1 É maior que $2"
fi



#Operadores:
#◦  -eq Igual
#◦  -ne Diferente
#◦  -gt Maior
#◦  -lt Menor
#◦  -o Ou
